| Home | Libraries | People | FAQ | More

##### object::operator[]

Access or insert the specified element.

###### Synopsis

    value&
    operator[](
        string_view key);

###### Description

Returns a reference to the value that is mapped to a key equivalent to key, performing an insertion of a null value if such key does not already exist.

If an insertion occurs and results in a rehashing of the container, all iterators are invalidated. Otherwise iterators are not affected. References are not invalidated. Rehashing occurs only if the new number of elements is greater than `capacity()`.

###### Complexity

Constant on average, worst case linear in `size()`.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Return Value

A reference to the mapped value.

###### Parameters

Name | Description
--- | ---
`key` | The key of the element to find.